Class Index | File Index

## Classes

- _global_
- Array
- String
- Tee
- Tee.AfricaMap
- Tee.Animation
- Tee.Annotation
- Tee.Area
- Tee.AsiaMap
- Tee.AustraliaMap
- Tee.Bar
- Tee.Bubble
- Tee.Candle
- Tee.Chart
- Tee.Chart.Axes
- Tee.Chart.Axis
- Tee.Chart.Axis-Grid
- Tee.Chart.Axis-Labels
- Tee.Chart.Axis-Ticks
- Tee.Chart.Axis-Title
- Tee.Chart.Legend
- Tee.Chart.Legend-Symbol
- Tee.Chart.Panel
- Tee.Chart.Scroll
- Tee.Chart.SeriesList
- Tee.Chart.Title
- Tee.Chart.Tools
- Tee.Chart.Wall
- Tee.Chart.Zoom
- Tee.ChartImage
- Tee.CircularGauge
- Tee.ColorGrid
- Tee.CursorTool
- Tee.CustomBar
- Tee.CustomSeries
- Tee.CustomSeries-Pointer
- Tee.Data
- Tee.Data.Dimension
- Tee.Data.Metric
- Tee.Donut
- Tee.DragTool
- Tee.Europe27Map
- Tee.EuropeMap
- Tee.FadeAnimation
- Tee.Font
- Tee.Format
- Tee.Gantt
- Tee.Gradient
- Tee.HorizArea
- Tee.HorizBar
- Tee.Line
- Tee.Map
- Tee.Margins
- Tee.MarksAnimation
- Tee.Palette
- Tee.PaletteSeries
- Tee.Pie
- Tee.Point
- Tee.PointXY
- Tee.Polar
- Tee.Rectangle
- Tee.Series
- Tee.Series.Marks
- Tee.SeriesAnimation
- Tee.Shadow
- Tee.SouthAmericaMap
- Tee.Stroke
- Tee.Surface
- Tee.SVGMap
- Tee.Three
- Tee.Tool
- Tee.ToolTip
- Tee.USAMap
- Tee.Volume
- Tee.WorldMap

# Class Tee.Series

Base abstract class to define a series of data
Defined in: <..\..\src\teechart.js>.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Tee.Series(o, o2)

Field Summary
Field Attributes | Field Name and Description
--- | ---
| chart The parent chart this Series object belongs to.
| colorEach Paints points using series fill color, or each point with a different color from series palette or chart palette color array.
| cursor Defines the mouse cursor to show when mouse is over a series point.
| data Contains all series data values, labels, etc.
| format Visual properties to display series data.
| horizAxis Defines the horizontal axis associated with this series.
| legendText
| marks Displays annotations near series points.
| vertAxis Defines the horizontal axis associated with this series.
| visible Determines if this series will be displayed or not.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| addRandom(count, range, x)
| associatedToAxis(axis)
| bounds(r)
| calc(index, p)
| calcColorEach()
| calcStack(index, p, value)
| cellRect(r, act, series)
| clicked()
| count()
| dataText(index, style, title, asArray)
| doHover(index)
| doSort(sortBy, ascending)
| drawMarks()
| getFill(index, f)
| getFillStyle(r, color)
| getRect()
| horizMargins()
| init(o, o2)
| initZ(index, total)
| isNull(index)
| labelOrTitle(index)
| legendColor(index)
| legendCount()
| markPos(t, p)
| markText(index)
| maxXValue()
| maxYValue()
| minXValue()
| minYValue()
| mousedown()
| mousemove(p)
| mouseout()
| pointOrigin(index, sumAll)
| recalcAxes()
| refresh(failure)
| setChart(series, chart)
| stackMaxValue()
| titleText(index)
| toPercent(index)
| valueOrLabel(index)
| valueText(index)
| vertMargins()

Class Detail
Tee.Series(o, o2)

Parameters:
{Object|Tee.Chart|Number[]} o
  An array of numbers, or a chart or datasource object.
o2

Field Detail
{Tee.Chart} chart
The parent chart this Series object belongs to.

{Boolean} colorEach
Paints points using series fill color, or each point with a different color from series palette or chart palette color array.

Default Value:
  "auto"

{String} cursor
Defines the mouse cursor to show when mouse is over a series point.

Default Value:
  "default"

{Object} data
Contains all series data values, labels, etc.

{Tee.Format} format
Visual properties to display series data.

{String} horizAxis
Defines the horizontal axis associated with this series.

Default Value:
  "bottom"

{String} legendText

{Tee.Series.Marks} marks
Displays annotations near series points.

{String} vertAxis
Defines the horizontal axis associated with this series.

Default Value:
  "left"

{Boolean} visible
Determines if this series will be displayed or not.

Default Value:
  true

Method Detail
addRandom(count, range, x)

Parameters:
count
range
x

{Boolean} associatedToAxis(axis)

Parameters:
axis

Returns:
  {Boolean} Returns if series is associated to axis, either horizontal or vertical.

bounds(r)

Parameters:
r

calc(index, p)

Parameters:
index
p

calcColorEach()

calcStack(index, p, value)

Parameters:
index
p
value

cellRect(r, act, series)

Parameters:
r
act
series

clicked()

{Number} count()

Returns:
  {Number} Returns the number of series data values.

{String} dataText(index, style, title, asArray)

Parameters:
{Number} index
  The point position in series data array.
{String} style
  Defines how text is returned: "auto", "value", "percent", "percentlabel", "valuelabel", "label", "index", "labelvalue", "labelpercent"
title
asArray

Returns:
  {String} Returns the text string to show for a given series point index.

doHover(index)

Parameters:
index

{Array} doSort(sortBy, ascending)

Parameters:
sortBy
ascending

Returns:
  {Array} Returns an array of series data indices sorted according to sortBy parameter.

drawMarks()

{String} getFill(index, f)

Parameters:
index
f

Returns:
  {String} Returns the color of index point in series, using series palette or chart palette.

{CanvasGradient} getFillStyle(r, color)

Parameters:
r
color

Returns:
  {CanvasGradient} Returns a canvas gradient using color, or color if gradient is not visible.

getRect()

horizMargins()

init(o, o2)

Parameters:
o
o2

initZ(index, total)

Parameters:
index
total

{boolean} isNull(index)

Parameters:
index

Returns:
  {boolean} Returns true when the index'th series value is null and should not be painted.

labelOrTitle(index)

Parameters:
index

{Color} legendColor(index)

Parameters:
index

Returns:
  {Color} Returns the color of index'th legend symbol.

{Number} legendCount()

Returns:
  {Number} Returns the number of items to show at legend.

markPos(t, p)

Parameters:
t
p

{String} markText(index)

Parameters:
index

Returns:
  {String} Returns the text string to show at series marks, for a given series point index.

{Number} maxXValue()

Returns:
  {Number} Returns the maximum value of series x values, or data length minus one, if no x values exist.

{Number} maxYValue()

Returns:
  {Number} Returns the maximum value of series values, or zero if no values exist.

{Number} minXValue()

Returns:
  {Number} Returns the minimum value of series x values, or zero if no x values exist.

{Number} minYValue()

Returns:
  {Number} Returns the minimum value of series data values, or zero if no values exist.

mousedown()

mousemove(p)

Parameters:
p

mouseout()

{Number} pointOrigin(index, sumAll)

Parameters:
index
sumAll

Returns:
  {Number} Returns the sum of all previous visible series index'th value, for stacking.

recalcAxes()

refresh(failure)

Parameters:
failure

setChart(series, chart)

Parameters:
series
chart

{Number} stackMaxValue()

Returns:
  {Number} Returns the maximum of all series values, or sum of all stacked values.

titleText(index)

Parameters:
index

{String} toPercent(index)

Parameters:
index

Returns:
  {String} Returns a percentual representation of the series index'th value, on total of series values.

{String} valueOrLabel(index)

Parameters:
index

Returns:
  {String} Returns the series index'th data label, or the value if no label exists at that index.

{String} valueText(index)

Parameters:
index

Returns:
  {String} Returns the text string for a given series point index value.

vertMargins()

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Oct 23 2013 16:27:38 GMT+0200 (CEST)